#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Client for Cisco's AnyConnect SSL VPN
Summary(pl.UTF-8):	Klient Cisco AnyConnect SSL VPN
Name:		openconnect
Version:	4.06
Release:	1
License:	LGPL v2.1
Group:		Applications/Networking
Source0:	ftp://ftp.infradead.org/pub/openconnect/%{name}-%{version}.tar.gz
# Source0-md5:	e827c9d08bd4d6983e3cbd0c9c19b978
Patch0:		%{name}-am.patch
URL:		http://www.infradead.org/openconnect.html
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	libproxy-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Suggests:	vpnc-script
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenConnect is a client for Cisco's AnyConnect SSL VPN.

%description -l pl.UTF-8
OpenConnect jest klientem Cisco AnyConnect SSL VPN.

%package devel
Summary:	Development files for OpenConnect library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki OpenConnect
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libproxy-devel
Requires:	libxml2-devel >= 2.0
Requires:	openssl-devel
Requires:	zlib-devel

%description devel
Development files for OpenConnect library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki OpenConnect.

%package static
Summary:	Static OpenConnect library
Summary(pl.UTF-8):	Statyczna biblioteka OpenConnect
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenConnect library.

%description static -l pl.UTF-8
Statyczna biblioteka OpenConnect.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-vpnc-script=/usr/bin/vpnc-script
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libopenconnect.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO
%attr(755,root,root) %{_sbindir}/openconnect
%attr(755,root,root) %{_libdir}/libopenconnect.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenconnect.so.2
%{_mandir}/man8/openconnect.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenconnect.so
%{_includedir}/openconnect.h
%{_pkgconfigdir}/openconnect.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libopenconnect.a
%endif
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openconnect.git;a=log;h=master

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> c593b57
- updated to 4.06

* Fri Jul 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 50456fa
- updated to 4.05

* Fri Jul 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 4cc19a1
- updated to 4.04

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> f198c9d
- updated to 4.02

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> ea52900
- added am patch (fixes build with automake 1.12)

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> d0d3842
- updated to 4.00 (note: new soname)

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> a550ede
- updated to 3.20
- now it relies on vpnc-script for network configuration

* Tue Apr 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 4dfdf03
- updated to 3.16

* Fri Dec 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 70761f3
- updated to 3.15

* Wed Oct 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 0e0edc2
- updated to 3.13

* Sun Sep 25 2011 Jakub Bogusz <qboosh@pld-linux.org> eeff151
- BR: zlib-devel (for completeness)
- added -static (on static_libs bcond)

* Mon Sep 19 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dce4925
- up to 3.12

* Fri Sep 09 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 63d0887
- up to 3.11; drop patch0 - now use autotools

* Wed May 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 14fb1db
- updated to 3.02

* Thu Apr 15 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 2fee196
- updated to 2.23

* Wed Jan 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 1ba1601
- updated to 2.21

* Sat Nov 28 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 8faeaf3
- new

* Sat Nov 28 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 9e16968
- fix linking

